Name:	enjoy
Version:	0.1.0
Release:	1%{?dist}
Summary:  EFL Music Player

Group: Applications/Multimedia
License:	BSD
URL:		http://www.enlightenment.org/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: efl-devel elementary-devel emotion-devel lightmediascanner-devel sqlite-devel >= 3.0

%description
Enjoy is a music player written using Enlightenment Foundation
Libraries (EFL) with focus on speed and mobile usability, yet should
be usable on desktops as well.

Enjoy is modeled around a media database constructed by
LightMediaScanner, it is not meant to play single files from disk,
instead it will recursively index directories for music files and then
list them by artist, album, genre and so on. Playlists are also
supported, as well as random or filter playlists can be dynamically
generated.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_bindir}/enjoy_ql
%{_libdir}/%{name}/
%{_libdir}/enjoy_ql.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/%{name}.png

%changelog
* Fri Feb 28 2014 Vasile Chelban <vchelban@fedora.md> 0.1.0-1
- initial specfile

